QGIS Application - Bug report #12267
Data-defined SVG symbol path doesn't work in legend and symbol settings
2015-02-25 06:06 AM - Milos Kroulik

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 20452
Description

I've tried to use data-defined SVG paths in symbol settings using both virtual field and expression. It works properly in map (point features
get correct SVG symbols), but in style settings and legend only '?' symbol is displayed. | also tried to use both relative paths (to the SVG
paths defined in settings) and absolute paths - the result is the same.

Please let me know, if you need more info.

Related issues:
Duplicates QGIS Application - Feature request # 11491: When using data defin... Open 2014-10-24

History

#1 - 2015-02-25 07:22 AM - Milos Kroulik

Sorry for bad title, should be of course "Data-defined SVG symbol path doesn't work in legend and symbol settings"

#2 - 2015-02-26 12:40 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Data-defined SVG symbol path doesn't work in legendans symbol settings to Data-defined SVG symbol path doesn't work in

legend and symbol settings

Hi,

what version of qgis are you using?

did it worked as expected in previous qgis releases?

#3 - 2015-02-26 12:46 AM - Milos Kroulik
Well, I'm using latest master (as of yesterday), as indicated in "affected version" above. My colleague had the same experience using QGIS 2.6 (on Linux

Mint 17.1 aka Ubuntu 14.04).

#4 - 2015-02-26 07:52 AM - Giovanni Manghi
- Category changed from Symbology to Map Legend
- Status changed from Feedback to Open

#5 - 2015-02-27 11:41 PM - Martin Dobias
- Resolution set to duplicate

- Status changed from Open to Closed

| believe this is a duplicate of #11491. Data-defined properties are currently ignored in legend, that's why you get the '?" icons.
